Mac M1 Docker Desktop no longer launches



  • I’ve been using Docker Desktop on my Mac M1 for over a year without trouble and just today it seems to have stopped working. It may have coincided with an update.

    When trying to open Docker Desktop by double clicking the Docker App icon, it just doesn’t open (and no error message is displayed - it seems to fail silently). When I try to start it up via docker-compose on the cli, the below exceptions are thrown. Could anyone please advise next course of action?

    Many thanks.

    manachi@macmone lamp % docker-compose up -d
    Traceback (most recent call last):
      File "urllib3/connectionpool.py", line 670, in urlopen
      File "urllib3/connectionpool.py", line 392, in _make_request
      File "http/client.py", line 1255, in request
      File "http/client.py", line 1301, in _send_request
      File "http/client.py", line 1250, in endheaders
      File "http/client.py", line 1010, in _send_output
      File "http/client.py", line 950, in send
      File "docker/transport/unixconn.py", line 43, in connect
    FileNotFoundError: [Errno 2] No such file or directory
    

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File "requests/adapters.py", line 439, in send
    File "urllib3/connectionpool.py", line 726, in urlopen
    File "urllib3/util/retry.py", line 410, in increment
    File "urllib3/packages/six.py", line 734, in reraise
    File "urllib3/connectionpool.py", line 670, in urlopen
    File "urllib3/connectionpool.py", line 392, in _make_request
    File "http/client.py", line 1255, in request
    File "http/client.py", line 1301, in _send_request
    File "http/client.py", line 1250, in endheaders
    File "http/client.py", line 1010, in _send_output
    File "http/client.py", line 950, in send
    File "docker/transport/unixconn.py", line 43, in connect
    urllib3.exceptions.ProtocolError: ('Connection aborted.', FileNotFoundError(2, 'No such file or directory'))

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File "docker/api/client.py", line 214, in _retrieve_server_version
    File "docker/api/daemon.py", line 181, in version
    File "docker/utils/decorators.py", line 46, in inner
    File "docker/api/client.py", line 237, in _get
    File "requests/sessions.py", line 543, in get
    File "requests/sessions.py", line 530, in request
    File "requests/sessions.py", line 643, in send
    File "requests/adapters.py", line 498, in send
    requests.exceptions.ConnectionError: ('Connection aborted.', FileNotFoundError(2, 'No such file or directory'))

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File "docker-compose", line 3, in
    File "compose/cli/main.py", line 81, in main
    File "compose/cli/main.py", line 200, in perform_command
    File "compose/cli/command.py", line 60, in project_from_options
    File "compose/cli/command.py", line 152, in get_project
    File "compose/cli/docker_client.py", line 41, in get_client
    File "compose/cli/docker_client.py", line 170, in docker_client
    File "docker/api/client.py", line 197, in init
    File "docker/api/client.py", line 221, in _retrieve_server_version
    docker.errors.DockerException: Error while fetching server API version: ('Connection aborted.', FileNotFoundError(2, 'No such file or directory'))
    [767] Failed to execute script docker-compose



  • It turns out after restarting my computer again, there was a prompt requesting escalated admin privileges and then agreeing to new license terms. I didn't seem to see this the last 2 reboots. After both those steps, it's now working again as expected.




Suggested Topics

  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2